﻿@charset "UTF-8";

*{margin:0; padding:0;}
body{color:#333333; background:#efecca;}
a{text-decoration:none;}
h1{font:bold 3vw sans-serif;}

#s_container{width:98%; margin:0 auto;}
#s_main{position:relative; width:95%; margin:10px auto;}

#btn_score{position:relative; display:flex; width:100%; gap:2em; margin-top:2em;}
#btn_score a{display:grid; align-items:center; width:40%; height:5em; font:bold 2vw/1.5em sans-serif; text-align:center; color:black; border-radius:1em; background:seashell;}
#btn_calc{position:relative; width:100%; margin-top:5em;}
#btn_calc a{display:inline-block; width:100%; height:3em; font:bold 2vw/3em sans-serif; text-align:center; color:black; border-radius:1em; background:lightskyblue;}
#btn_ikadadata{position:relative; width:90%; margin-top:5em;}
#btn_ikadadata a{display:inline-block; width:10em; height:3em; font:bold 2vw/3em sans-serif; text-align:center; color:black; border-radius:1em; background:lightyellow;}

#ikadalist{}
#ikadalist td{text-align:center;}
#ikadalist input[type=text]{width:20em; height:2em;}

#s_profile{height:3em; line-height:3em; font-size:2vw; text-align:center;}
#s_judgename{float:left; width:12%; height:3em; line-height:3em; border:1px solid lightgray;}
#s_ikadaname{float:right; display:flex; width:86%; height:3em; border:1px solid lightgray;}
#s_ikadaname a{flex-basis:5%; margin:0 10px; font-size:2em;}
#s_ikadaname label{flex-basis:90%;}
#s_ikadaname select{width:100%; min-height:80%; font-size:2vw; color:black; text-overflow:ellipsis;}
#s_input{}
#s_input input[type=number]{width:3em; height:1.5em; font:normal 1em/1.5em sans-serif; text-align:center;}
#s_input input[type=range]{width:100%;height:30px;}
#s_inputform{width:100%;}
#s_inputform td{padding:10px; font-size:2.5vw;}

#c_scoreboard{margin:20px auto; border-collapse:collapse;}
#c_scoreboard td{padding:2px 5px; font-size:1.8vw; text-align:center; border:1px solid black;}
#c_scoreboard .bt1{border-top:1px solid black;}
#c_scoreboard .bt2{border-top:2px solid black;}

#c_awardlist{margin:20px auto; border-collapse:collapse;}
#c_awardlist td{padding:2px 5px; font-size:1.7vw; text-align:center; border:1px solid black;}

.nontarget{background:gray;}
.scoreslider span{border:none!important; -webkit-tap-highlight-color:rgba(0,0,0,0)!important;}
.tc{text-align:center;}
